Package pygccxml :: Package declarations :: Module class_declaration

# Module class_declaration

source code

defines classes, that describes C++ classes

This modules contains definition for next C++ declarations:

- class definition
- class declaration
- small helper class for describing C++ class hierarchy

Classes
ACCESS_TYPES class that defines "access" constants
CLASS_TYPES class that defines "class" type constants
hierarchy_info_t describes class relationship
class_declaration_t describes class declaration
class_t describes class definition

Functions

get_partial_name(name) | source code

Variables
| class_types = ``(`<class 'pygccxml.declarations.class_declaration`...``

Variables Details

### class_types

Value:

      (<class 'pygccxml.declarations.class_declaration.class_t'>,
       <class 'pygccxml.declarations.class_declaration.class_declaration_t'>
      )